Name:       ocaml-re
Version:    1.5.0
Release:    %mkrel 1
Summary:    Regular expression library for OCaml
License:    LGPL-2.1
Group:      Development/OCaml
URL:        https://github.com/ocaml/ocaml-re
Source0:    https://github.com/ocaml/ocaml-re/archive/ocaml-re-%{version}.tar.gz
Patch0:     ebfe5b3d4bedd056bdfa7f403afde26e0dfa9888.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit-devel

%description
RE is regular expression library for OCaml.
It is still under developpement, but is already rather usable.
The following styles of regular expressions are supported:
 * Perl-style regular expressions (module Re_perl);
 * Posix extended regular expressions (module Re_posix);
 * Emacs-style regular expressions (module Re_emacs);
 * Shell-style file globbing (module Re_glob).

It is also possible to build regular expressions by combining simpler
regular expressions (module Re).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocaml-re-ocaml-re-%{version}
%autopatch -p1
rm -f lib_test/.cvsignore

%build
ocaml setup.ml -configure \
    --enable-tests \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%check
make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/re
make install

%files
%doc README.md LICENSE CHANGES TODO.txt
%dir %{_libdir}/ocaml/re
%{_libdir}/ocaml/re/META
%{_libdir}/ocaml/re/*.cmi
%{_libdir}/ocaml/re/*.cma
%{_libdir}/ocaml/re/*.cmxs

%files devel
%doc lib_test/
%{_docdir}/%{name}-devel/api/
%{_libdir}/ocaml/re/*.a
%{_libdir}/ocaml/re/*.cmxa
%{_libdir}/ocaml/re/*.cmx
%{_libdir}/ocaml/re/*.mli
%{_libdir}/ocaml/re/*.annot
%{_libdir}/ocaml/re/*.cmt
%{_libdir}/ocaml/re/*.cmti


%changelog
* Mon Feb 22 2016 pterjan <pterjan> 1.5.0-1.mga6
+ Revision: 976183
- Update to 1.5.0

* Mon Feb 01 2016 pterjan <pterjan> 1.4.1-1.mga6
+ Revision: 930862
- Fix BuildRequires
- Update to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 742557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 683093
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.2.2-1.mga5
+ Revision: 673935
- update to 1.2.2

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 534911
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 480188
- rebuild for ocaml-4.01.0

* Sat May 25 2013 blue_prawn <blue_prawn> 1.2.1-1.mga4
+ Revision: 427686
- updated to last version 1.2.1

* Wed Apr 03 2013 blue_prawn <blue_prawn> 1.2.0-1.mga3
+ Revision: 407534
- imported package ocaml-re

